## ros-kinetic-melfa-driver 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(melfa_driver)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  controller_manager
  diagnostic_updater
  hardware_interface
  roscpp)

find_package(Boost REQUIRED COMPONENTS system thread)

# catkin_python_setup()

catkin_package(
  CATKIN_DEPENDS roscpp
  INCLUDE_DIRS include
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_executable(melfa_driver_node
  src/melfa_driver_node.cpp src/melfa_hardware_interface.cpp)

add_executable(melfa_loopback_node src/melfa_loopback_node.cpp)

target_link_libraries(melfa_driver_node ${catkin_LIBRARIES})

target_link_libraries(melfa_loopback_node ${catkin_LIBRARIES})

install(TARGETS melfa_driver_node melfa_loopback_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  set(ROSLINT_CPP_OPTS "--filter=-runtime/references,-runtime/int")
  # roslint_cpp(src/melfa_hardware_interface.cpp src/melfa_driver_node.cpp src/melfa_loopback_node.cpp)
  set(ROSLINT_PYTHON_OPTS "--max-line-length=180")
  # roslint_python(test/test_joint_trajectory_controller.py)
  # add_dependencies(tests roslint)

  find_package(roslaunch REQUIRED)
  find_package(rostest REQUIRED)
  file(GLOB LAUNCH_FILES launch/*.launch)
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    message(STATUS "Testing ${LAUNCH_FILE}")
    roslaunch_add_file_check(${LAUNCH_FILE})
  endforeach()

  add_rostest(test/joint_trajectory_controller.test)
endif()

=== debian/changelog ===
ros-kinetic-melfa-driver (0.0.4-0xenial) xenial; urgency=high

  * Fix wrong install location(#25 <https://github.com/tork-a/melfa_robot/issues/25>)
  * Fix minor typo(#20 <https://github.com/tork-a/melfa_robot/issues/20>)
  * Contributors: Ryosuke Tajima, Wolf Vollprecht

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Mon, 25 Feb 2019 15:00:00 -0000

ros-kinetic-melfa-driver (0.0.2-0xenial) xenial; urgency=high

  * Add LICENSE and notification on source code(#18 <https://github.com/tork-a/melfa_robot/issues/18>)
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sat, 15 Dec 2018 15:00:00 -0000

ros-kinetic-melfa-driver (0.0.1-0xenial) xenial; urgency=high

  * Remove check.sh for eliminating catkin_lint warning
  * Add jointx_is_linear parameter for the linear base(#17 <https://github.com/tork-a/melfa_robot/issues/17>)
  * rename melfa_ros to melfa_robot
  * Add additional joints(#13 <https://github.com/tork-a/melfa_robot/issues/13>)
  * Add use_joint7 and use_joint8 parameters
  * Pull request for the first delivery(#5 <https://github.com/tork-a/melfa_robot/issues/5>)
  * Change author email
  * Expand joint number to 8 only for acutal robot check
  * Add realtime feature and docs(#3 <https://github.com/tork-a/melfa_robot/issues/3>)
  * Improve driver and loopback node, add diagnostics
    - Make loopback node periodic considering the hardware specs
    - Add diagnotics to see period over-run
  * Disable realtime in tests
  * Make loopback node realtime
  * Add realtime feature and docs
  * Change test to wait topic for 30s
  * Add more dependencies
  * Check node list before test
  * Add package dependencies
  * Add .travis.yml for CI
  * Add moveit configuration files(#2 <https://github.com/tork-a/melfa_robot/issues/2>)
    - Confirmed to work with RT-ToolBox
  * Add URDF and mesh files(#1 <https://github.com/tork-a/melfa_robot/issues/1>)
  * Change driver to use melfa_description
  * Add ROS_INFO for robot_ip
  * Improve UDP error handling not to abort
  * Add first test
  * Fix integer size incompatibility of the packet
  * Add melfa_loopbacknode for test
  * First commit
    - Proof of function
    - This can control RT-Toolbox3 simulator
    - All parameters are hard-coded
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 13 Dec 2018 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-melfa-driver
Section: misc
Priority: extra
Maintainer: Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-controller-manager, ros-kinetic-diagnostic-updater, ros-kinetic-hardware-interface, ros-kinetic-roscpp, ros-kinetic-roslaunch, ros-kinetic-roslint, ros-kinetic-rostest
Homepage: http://wiki.ros.org/melfa_driver
Standards-Version: 3.9.2

Package: ros-kinetic-melfa-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-controller-manager, ros-kinetic-diagnostic-updater, ros-kinetic-hardware-interface, ros-kinetic-joint-state-controller, ros-kinetic-joint-trajectory-controller, ros-kinetic-position-controllers, ros-kinetic-robot-state-publisher, ros-kinetic-roscpp
Description: The melfa_driver package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-melfa-driver//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
